Name: thoggen
Version: 0.3.1
Release: alt4.1

Summary: Easy-to-use DVD ripper that encodes into ogg/theora video
Summary(ru_RU.KOI8-R):    DVD-   ogg/theora
Summary(ru_RU.UTF-8): Простой в использовании DVD-риппер в формат ogg/theora
Group: Video
License: GPL
Url: http://thoggen.net
Packager: Vitaly Smirnov <device@altlinux.org>
Source: %name-%version.tar.bz2
Source1: %name.menu

#this patch fixes long buildrequires
Patch: %name-alt-fix-build.patch
Patch1: %name-%version-docversion-alt.patch

Requires: libhal gtk2 libglade2 libdvdread gstreamer gstreamer-plugins gstreamer-plugins-devel gstreamer-dvdread gstreamer-dvdnav gstreamer-mpeg2dec gstreamer-a52dec gstreamer-theora gstreamer-vorbis gstreamer-ogg gstreamer-ffmpeg gstreamer-ffmpegcolorspace gstreamer-audiofile gstreamer-audio-effects gstreamer-audio-formats gstreamer-video-effects

# Automatically added by buildreq on Fri May 20 2005
BuildRequires: fontconfig freetype2 glib2-devel glibc-devel-static gstreamer-plugins-devel gstreamer-devel libatk-devel libdbus-devel libdbus-glib-devel libdvdread-devel libglade2-devel libgtk+2-devel libhal-devel libpango-devel libpopt-devel libxml2-devel pkgconfig

%description
Thoggen is a DVD backup utility ('DVD ripper') for Linux, based on GStreamer
and Gtk+, designed to be easy and straight-forward to use.  It encodes any
number of DVD titles into the ogg/theora video format (with ogg/vorbis audio)
and supports picture cropping and picture resizing.

%description -l ru_RU.KOI8-R
Thoggen     DVD    ogg/theora
  Gtk2  GStreamer.

%description -l ru_RU.UTF-8
Thoggen это удобный риппер видео DVD дисков в формат ogg/theora
основан на Gtk2 и GStreamer.

%prep
%setup -q -n %name
%patch -p0
%patch1 -p0

%build
sh autogen.sh \
	--disable-element-check-{mpeg2dec,a52dec,dvddemux,dvdreadsrc,oggtheora}\	--prefix=/usr
	
%make

%install
%makeinstall
%__install -pm755 -d %buildroot%_menudir
%__install -pm644 %SOURCE1 %buildroot%_menudir/%name

%find_lang %name

find %buildroot -type f -name "*.la" -exec rm -f {} ';'

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%_bindir/%name
%_libdir/menu/%name
%dir %_datadir/%name
%_datadir/%name
%_mandir/man1/%name.1.gz

%changelog
* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.1-alt4.1
- rebuild with new libdbus-1.so.0 .

* Tue Jun 07 2005 Vitaly Smirnov <device@altlinux.org> 0.3.1-alt4
- Fixed prefix 
- Fixed 'COPYING' placement

* Mon May 23 2005 Vitaly Smirnov <device@altlinux.org> 0.3.1-alt3
- Removed valgrind-devel from buildrequires (#6930)

* Fri May 20 2005 Vitaly Smirnov <device@altlinux.org> 0.3.1-alt2
- Fixed awful buildrequires
- Fixed #6912, #6911
- Spec cleanup

* Thu Mar 17 2005 Vitaly Smirnov <device@altlinux.org> 0.3.1-alt1
- Inital release
